﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
// 추가
using MyOpenBom.ItemMan;
using MyOpenBom.Common;
using System.Data.SqlClient;
using FxLib.Utils;
using System.IO;

namespace MyOpenBom.BomMan
{
    public partial class frmBOMInverseTree : Form
    {
        clsItem oItem;
        clsBOMManagement oBom;      // T_BOM 테이블을 사용하는 객체

        public frmBOMInverseTree()
        {
            InitializeComponent();

            // 품목코드 객체 초기화
            oItem = new clsItem();
        }

        private void btnQuery_Click(object sender, EventArgs e)
        {
            DataSet oDS;

            oBom = new clsBOMManagement(txtItemCode.Text);

            dvBOMInverseTree.DataSource = oDS = oBom.QueryFindParentItem(txtItemCode.Text);
            dvBOMInverseTree.DataMember = "t_bom_tree";

            dvBOMInverseTree.ColumnHeadersVisible = true;
            // "c": 한국 통화 표시
            // "#.#": 천단위 구분
            //dvBOMInverseTree.Columns[3].DefaultCellStyle.Format = "#,#";
            //dvBOMInverseTree.Columns[5].DefaultCellStyle.Format = "#,#";
            //dvBOMInverseTree.Columns[6].DefaultCellStyle.Format = "#,#";

        }

        private void txtItemCode_KeyPress(object sender, KeyPressEventArgs e)
        {
            // 엔터키 또는 탭키를 입력받으면 해당 코드에 대한 모품목 코드를 조회할 수 있도록 한다.
            if (e.KeyChar == 13)
            {
                Form oItemParentList = new frmItemParentList(txtItemCode.Text, oItem);
                oItemParentList.ShowDialog();
                // 모품목코드 선택 대화창에서 사용자가 선택한 정보를 텍스트 컨트롤에 설정한다.
                txtItemCode.Text = oItem.Code;
                txtItemName.Text = oItem.Im_desc;
            }
        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
