﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
// 추가
using MyOpenBom.ItemMan;
using FxLib.Utils;

namespace MyOpenBom.BomMan
{
    public partial class frmItemParentList : Form
    {
        string strItemCode;
        clsItem oItem;

        public frmItemParentList(string strTmp, clsItem oItemTmp)
        {
            InitializeComponent();

            strItemCode = strTmp;       // 모품목 코드 설정
            oItem = oItemTmp;           // 품목객체 설정

            // 조회 후 리스트뷰 컨트롤
            QueryParentItem();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        /// <summary>
        /// 모품목 코드 목록을 조회한다.
        /// </summary>
        private void QueryParentItem()
        {
            try
            {
                DataSet dsCode = oItem.Read(strItemCode);

                lstParent.Items.Clear();
                ListViewItem item;

                lstParent.Columns.Add("품목코드", 70, HorizontalAlignment.Left);
                lstParent.Columns.Add("품목명", 150, HorizontalAlignment.Left);
                lstParent.Columns.Add("종류", 50, HorizontalAlignment.Left);

                foreach (DataRow r in dsCode.Tables["t_item"].Rows)
                {
                    item = new ListViewItem(r["code"].ToString());
                    item.SubItems.Add(r["im_desc"].ToString());
                    item.SubItems.Add(r["code_detail_nm"].ToString());
                    lstParent.Items.Add(item);
                }

            }
            catch (Exception err)
            {
                clsLog.Write(clsInfo.FATAL, err.ToString());
                MessageBox.Show(err.ToString());
            }
        }

        private void lstParent_SelectedIndexChanged(object sender, EventArgs e)
        {

        }

        private void lstParent_DoubleClick(object sender, EventArgs e)
        {
            ListView.SelectedListViewItemCollection cItems = this.lstParent.SelectedItems;

            foreach (ListViewItem item in cItems)
            {
                //MessageBox.Show(item.SubItems[1].Text);
                // 사용자가 품목개체의 품목코드와 품목명 정보를 객체에 설정한다.
                // 아래 품목개체는 참조객체로 frmBOMMan 폼 에서 사용된다.
                oItem.Code = item.SubItems[0].Text;
                oItem.Im_desc = item.SubItems[1].Text;
                this.Close();
            }
        }

        //public void GetPatientList(ListView list)
        //{

        //    list.Items.Clear();
        //    ListViewItem item;
        //    foreach (DataRow r in dSet.Tables["patient"].Rows)
        //    {
        //        item = new ListViewItem(r["name"].ToString());
        //        item.SubItems.Add(r["jumin"].ToString());
        //        item.SubItems.Add(r["id"].ToString());
        //        list.Items.Add(item);
        //    }
        //}
    }
}
