﻿using System;
using System.Collections.Generic;
using System.Text;

namespace FxLib.Utils
{
    /// <summary>
    /// 사용자 정의 예외 클래스는 사실 불필요할지 모른다.
    /// 하지만, 매번 예외처리할때 마다 로그기록 남기는 것보다는
    /// 사용자 정의 예외 클래스에서 로그 기록을 파일로 남기거나
    /// 이벤트로그에 기록하는 것이 좋을 듯 싶다.
    /// </summary>
    public class clsCustAppException: Exception 
    {
        public clsCustAppException()
        {

        }

        public clsCustAppException(string message)
            : base(message)
        {

        }

        public clsCustAppException(string message, Exception inner)
            : base(message, inner)
        {
            // TODO: 여기서 로그를 파일로 저장할지 이벤트로그로 저장할지
            // 결정한다.
            // 해당 객체를 생성하는 부분은 팩토리 패턴을 사용하도록 한다.
            clsLog.Write(clsInfo.FATAL, "[" + message + "] " + inner.ToString());
        }
    }
}
