﻿using System;
using System.Collections.Generic;
using System.Text;
// 추가코드
using System.Collections;
using System.Data;
using System.Data.SqlClient;
using FxLib.Utils;
using MyOpenBom.Common;


namespace MyOpenBom.CustMan
{
    /// <summary>
    /// 국가 코드 관리 개체
    /// </summary>
    class clsNational
    {
        //List<string> oList;
        Hashtable oHashNation;
  
        public clsNational()
        {
            Init();
        }

        /// <summary>
        /// 국가코드 조회 후 데이터 저장
        /// </summary>
        /// <returns></returns>
        int Init()
        {
            try
            {
                //oList = new List<string>();
                oHashNation = new Hashtable();

                string strQuery = "select nat_no, nat_nm from t_nat";

                clsDBHelper oDb = new clsDBHelper();
                // 거래처 정보를 저장한다.
                DataSet odsNat = oDb.ExecuteQuery(strQuery, "t_nat");
                oDb = null;

                // (key, value) = (국가코드, 국가명)을 해시테이블에 저장한다.
                foreach (DataRow dr in odsNat.Tables[0].Rows)
                {
                    oHashNation.Add(dr["nat_no"].ToString(), dr["nat_nm"].ToString());
                }
            }
            catch (Exception err)
            {
                clsLog.Write(clsInfo.FATAL, err.ToString());
                throw err;
            }
            return 0;
        }

        /// <summary>
        /// 국가코드에 대한 정보를 반환한다.
        /// </summary>
        /// <returns>국가명에 대한 배열정보</returns>
        public string[] GetNation()
        {
            try
            {
                string[] nt;
                int i = 0;

                nt = new string[oHashNation.Keys.Count];
                foreach (string strTemp in oHashNation.Values)
                {
                    nt[i++] = strTemp;
                }
                return nt;
            }
            catch (Exception err)
            {
                clsLog.Write(clsInfo.FATAL, err.ToString());
                throw err;
            }
        }

        /// <summary>
        /// "대한민국" 값에 대한 "kor" 키를 반환한다.
        /// </summary>
        /// <param name="strNat"></param>
        /// <returns></returns>
        public string FindNationCode(string strNat)
        {
            try
            {
                foreach (string strKey in oHashNation.Keys)
                {
                    if (oHashNation[strKey].Equals (strNat))
                        return strKey;
                }
            }
            catch (Exception err)
            {
                clsLog.Write(clsInfo.FATAL, err.ToString());
                throw err;
            }
            return "kor";   // 기본값을 반환한다.
        }

        /// <summary>
        /// "kor" 키에 대한 "대한민국" 값을 반환한다.
        /// </summary>
        /// <param name="strNat"></param>
        /// <returns></returns>
        public string FindNationValue(string strNat)
        {
            try
            {
                if (!oHashNation.ContainsKey(strNat))
                    return "대한민국";

                return oHashNation[strNat].ToString();
            }
            catch (Exception err)
            {
                clsLog.Write(clsInfo.FATAL, err.ToString());
                throw err;
            }
        }

    }
}
